Name: libzvt
Version: 2.0.1
Release: alt5

Summary: Zed's Virtual Terminal widget library
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name-2.0.1-acinclude.m4

Patch: %name-2.0.1-cvs_20021210.patch
# patch to make utf-8 mode the default if the locale is utf-8
Patch1: %name-2.0.0-mdk-utf8.patch.bz2
# enforce pty helper path in all execl parameters
Patch2: %name-2.0.1-mdk-ptyhelper.patch.bz2
# to build with newest automake
Patch3: %name-2.0.1-alt-am_makefile.patch
# A fix for proper localized title displaying by
# Alexey Morozov <morozov@novosoft.ru
Patch4: %name-2.0.1-i18n-fix.patch

%define gtk_ver 2.2.4
%define glib_ver 2.2.3
%define libart_lgpl_ver 2.3.16
%define pkgconfig_ver 0.15

PreReq: libgtk+2 >= %gtk_ver
PreReq: glib2 >= %glib_ver
PreReq: libart_lgpl >= %libart_lgpl_ver

BuildPreReq: gnome-common
BuildPreReq: pkgconfig >= %pkgconfig_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libart_lgpl-devel >= %libart_lgpl_ver

# Automatically added by buildreq on Thu Sep 04 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel libart_lgpl-devel libatk-devel libexpat libgtk+2-devel libpango-devel libstdc++-devel pkgconfig

%description
The %name package contains a terminal widget for GTK+. It's used by
gnome-terminal among other programs.

%package devel
Summary: Libraries and include files for developing with %name
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: pkgconfig >= %pkgconfig_ver
Requires: libgtk+2-devel >= %gtk_ver
Requires: glib2-devel >= %glib_ver
Requires: libart_lgpl-devel >= %libart_lgpl_ver

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with %name.

%package devel-static
Summary: Static libraries for developing with %name
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
This package provides libraries to allow you to develop programs
statically linked with %name.

%prep
%setup -q
%__cp %SOURCE1 ./acinclude.m4
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%__libtoolize --copy --force
%__aclocal -I %_datadir/aclocal/gnome2-macros
%__autoheader
%__automake -a -c -f
%__autoconf

%configure
%make_build

%install
%makeinstall

%find_lang %name-2.0

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name-2.0.lang
%_libdir/*.so.*
%_libdir/%name-2.0

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*
%doc ChangeLog %name/[A-Z][A-Z]*

%files devel-static
%_libdir/*.a

%changelog
* Thu Sep 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt5
- rebuild

* Sun Feb 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt4
- Some fixes from cvs.
- A fix for proper localized title displaying (especially useful for
  non-Latin1 directory names and famous \e]0...\a escape-sequence
  (Alexey Morozov <morozov@novosoft.ru>)

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt3
- rebuild with new pango, gtk+

* Sat Sep 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt2
- Applied mdk patches.

* Tue Jun 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Wed Jun 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build for Sisyphus.
